
#ifndef _INCLUDED_DATAVALUE_H_
#define _INCLUDED_DATAVALUE_H_

#include "DataEditor.h"

class DataValue: public Observer
{
    public:
		DataValue(int val=0,char *des="Unknown"):Observer(t_data)
	{
		data = (float)(int)val;
		strcpy(desc,des);
	}

	int getVal()
	{
		return (int)data;
	}

	float getValFloat()
	{
		return data;
	}

	void setVal(int dat)
	{
		data = (float)(int)dat;
	}

	void setVal(float dat)
	{
		data = dat;
	}

	void setDesc(char *des)
	{
		strcpy(desc,des);
	}

	void Explore ()
	{
		CDataEditor *dlg = new CDataEditor();

		dlg->m_DataFloat = data;
		int result = dlg->DoModal();

		if (result == IDOK)
		{
			data = dlg->m_DataFloat;
		}
		if (dlg) delete dlg;
	}

	BOOL Edit()
	{
		Explore();
		return TRUE;
	}

	float data;
	char desc[256];
};


#endif