// EditSrb.cpp : implementation file
//

#include "stdafx.h"
#include "3DOEditor.h"
#include "EditSrb.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CEditSrb dialog


CEditSrb::CEditSrb(CWnd* pParent /*=NULL*/)
	: CDialog(CEditSrb::IDD, pParent)
{
	//{{AFX_DATA_INIT(CEditSrb)
	m_Alpha = 0;
	m_Blue = 0;
	m_Green = 0;
	m_Scale = 0.0f;
	m_String = 0;
	m_Unk = 0;
	m_Vertex = 0;
	m_Red = 0;
	//}}AFX_DATA_INIT
}


void CEditSrb::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CEditSrb)
	DDX_Text(pDX, IDC_ALPHA, m_Alpha);
	DDX_Text(pDX, IDC_BLUE, m_Blue);
	DDX_Text(pDX, IDC_GREEN, m_Green);
	DDX_Text(pDX, IDC_SCALE, m_Scale);
	DDX_Text(pDX, IDC_STRING, m_String);
	DDX_Text(pDX, IDC_UNK, m_Unk);
	DDX_Text(pDX, IDC_VERTEX, m_Vertex);
	DDX_Text(pDX, IDC_RED, m_Red);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CEditSrb, CDialog)
	//{{AFX_MSG_MAP(CEditSrb)
	ON_BN_CLICKED(IDC_CHOOSE, OnChoose)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CEditSrb message handlers

void CEditSrb::OnChoose() 
{
	UpdateData(TRUE);
	CColorDialog *dlg = new CColorDialog(RGB(m_Red,m_Green,m_Blue));
	int result = dlg->DoModal();

	if (result)
	{
		m_Red   = GetRValue(dlg->GetColor());
		m_Green = GetGValue(dlg->GetColor());
		m_Blue  = GetBValue(dlg->GetColor());
		m_Alpha = 255;
		UpdateData(FALSE);
	}

	if (dlg) delete dlg;
}
