// LpDocument.cpp : implementation file
//

#include "stdafx.h"
#include "3DOEditor.h"
#include "LpDocument.h"
#include "lp.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CLpDocument

IMPLEMENT_DYNCREATE(CLpDocument, CDocument)

CLpDocument::CLpDocument()
{
	raceLP = NULL;
	pass1LP = NULL;
	pass2LP = NULL;
	minRaceLP = NULL;
    maxRaceLP = NULL;
	pitLP = NULL;
}

BOOL CLpDocument::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

CLpDocument::~CLpDocument()
{
}


BEGIN_MESSAGE_MAP(CLpDocument, CDocument)
	//{{AFX_MSG_MAP(CLpDocument)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CLpDocument diagnostics

#ifdef _DEBUG
void CLpDocument::AssertValid() const
{
	CDocument::AssertValid();
}

void CLpDocument::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CLpDocument serialization

void CLpDocument::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}

/////////////////////////////////////////////////////////////////////////////
// CLpDocument commands

BOOL CLpDocument::OnOpenDocument(LPCTSTR lpszPathName) 
{
	if (!CDocument::OnOpenDocument(lpszPathName))
		return FALSE;
	
	raceLP = new CLp();
	raceLP->Read(lpszPathName);

	return TRUE;
}
