// LpDocument.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLpDocument document
#ifndef _INCLUDED_LPDOC_H_
#define _INCLUDED_LPDOC_H_

class CLp;

class CLpDocument : public CDocument
{
public:
	CLpDocument();           // protected constructor used by dynamic creation
protected:
	DECLARE_DYNCREATE(CLpDocument)

// Attributes
public:
	CLp *raceLP;
	CLp *pass1LP;
	CLp *pass2LP;
	CLp *minRaceLP;
    CLp *maxRaceLP;
	CLp *pitLP;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLpDocument)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CLpDocument();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CLpDocument)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif