// LpView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CLpView view
class CLp;

class CLpView : public CScrollView
{
protected:
	CLpView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CLpView)

// Attributes
public:
	void DrawLP(CDC *pDC,CLp *lp);

	CPen *red;
	CPen *blue;
	CPen *green;
	CPen *magenta;

	BOOL showRace;
	BOOL showMinRace;
	BOOL showMaxRace;
	BOOL showPit;
	BOOL showPass1;
	BOOL showPass2;

	BOOL showD1;
	BOOL showD2;
	BOOL showD3;
	BOOL showD4;
	BOOL showD5;

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CLpView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual void OnInitialUpdate();     // first time after construct
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CLpView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
	//{{AFX_MSG(CLpView)
	afx_msg void OnViewViewlpoptionsShowrace();
	afx_msg void OnUpdateViewViewlpoptionsShowrace(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowpit();
	afx_msg void OnUpdateViewViewlpoptionsShowpit(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowpass2();
	afx_msg void OnUpdateViewViewlpoptionsShowpass2(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowpass1();
	afx_msg void OnUpdateViewViewlpoptionsShowpass1(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowmin();
	afx_msg void OnUpdateViewViewlpoptionsShowmin(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowmaxrace();
	afx_msg void OnUpdateViewViewlpoptionsShowmaxrace(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowdata5();
	afx_msg void OnUpdateViewViewlpoptionsShowdata5(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowdata4();
	afx_msg void OnUpdateViewViewlpoptionsShowdata4(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowdata3();
	afx_msg void OnUpdateViewViewlpoptionsShowdata3(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowdata2();
	afx_msg void OnUpdateViewViewlpoptionsShowdata2(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowdata1();
	afx_msg void OnUpdateViewViewlpoptionsShowdata1(CCmdUI* pCmdUI);
	afx_msg void OnViewViewlpoptionsShowalldata();
	afx_msg void OnViewViewlpoptionsHidealldata();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////
