// ReportOutput.cpp : implementation file
//

#include "stdafx.h"
#include "3DOEditor.h"
#include "Output.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// COutput

COutput::COutput()
{
}

COutput::~COutput()
{
}


BEGIN_MESSAGE_MAP(COutput, CSizingControlBar)
	//{{AFX_MSG_MAP(COutput)
	ON_WM_CREATE()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// COutput message handlers

int COutput::OnCreate(LPCREATESTRUCT lpCreateStruct) 
{
	if (CSizingControlBar::OnCreate(lpCreateStruct) == -1)
		return -1;

	RECT rect;
	GetClientRect(&rect);

	if (!m_Output.Create(WS_VSCROLL | ES_MULTILINE| ES_AUTOVSCROLL | WS_VISIBLE | WS_CHILD,rect,this,IDC_OUTPUT_TEXT))
       return -1;

	// get the right font
	HFONT hFont = (HFONT)GetStockObject(DEFAULT_GUI_FONT);
	CFont *fnt = CFont::FromHandle(hFont);
	m_Output.SetFont(fnt);
	m_Output.ModifyStyleEx(0,WS_EX_CLIENTEDGE);
	return 0;
}

void COutput::OnSize(UINT nType, int cx, int cy) 
{
	CSizingControlBar::OnSize(nType, cx, cy);

	int border = 4;
	
    CRect rc;
    GetClientRect(rc);

    int bottom = (IsHorz() || IsFloating())
        ? rc.Height() - (2*border) : rc.Height() - (2*border) - 4;

    m_Output.SetWindowPos(NULL,rc.left + border, rc.top + border,
            rc.Width() - (2*border), bottom , SWP_NOACTIVATE | SWP_NOZORDER);
}
