// PolygonColorChanger.cpp : implementation file
//

#include "stdafx.h"
#include "3DOEditor.h"
#include "PolygonColorChanger.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPolygonColorChanger dialog


CPolygonColorChanger::CPolygonColorChanger(CWnd* pParent /*=NULL*/)
	: CDialog(CPolygonColorChanger::IDD, pParent)
{
	//{{AFX_DATA_INIT(CPolygonColorChanger)
	m_FromAlpha = 0;
	m_FromBlue = 0;
	m_FromGreen = 0;
	m_FromRed = 0;
	m_ToAlpha = 0;
	m_ToBlue = 0;
	m_ToGreen = 0;
	m_ToRed = 0;
	m_ChangeAll = FALSE;
	//}}AFX_DATA_INIT
}


void CPolygonColorChanger::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CPolygonColorChanger)
	DDX_Text(pDX, IDC_FROM_ALPHA, m_FromAlpha);
	DDX_Text(pDX, IDC_FROM_BLUE, m_FromBlue);
	DDX_Text(pDX, IDC_FROM_GREEN, m_FromGreen);
	DDX_Text(pDX, IDC_FROM_RED, m_FromRed);
	DDX_Text(pDX, IDC_TO_ALPHA, m_ToAlpha);
	DDX_Text(pDX, IDC_TO_BLUE, m_ToBlue);
	DDX_Text(pDX, IDC_TO_GREEN, m_ToGreen);
	DDX_Text(pDX, IDC_TO_RED, m_ToRed);
	DDX_Check(pDX, IDC_CHANGE_ALL, m_ChangeAll);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CPolygonColorChanger, CDialog)
	//{{AFX_MSG_MAP(CPolygonColorChanger)
	ON_BN_CLICKED(IDC_CHANGE_ALL, OnChangeAll)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPolygonColorChanger message handlers

void CPolygonColorChanger::OnChangeAll() 
{
	UpdateData(TRUE);
	GetDlgItem(IDC_FROM_ALPHA)->EnableWindow(!m_ChangeAll);
	GetDlgItem(IDC_FROM_RED)->EnableWindow(!m_ChangeAll);
	GetDlgItem(IDC_FROM_GREEN)->EnableWindow(!m_ChangeAll);
	GetDlgItem(IDC_FROM_BLUE)->EnableWindow(!m_ChangeAll);
}
