// PolygonEditor.h : header file
//
class NodePolygon;

/////////////////////////////////////////////////////////////////////////////
// CPolygonEditor dialog

class CPolygonEditor : public CDialog
{
// Construction
public:
	CPolygonEditor(NodePolygon *node,CWnd* pParent = NULL);   // standard constructor

	void LoadListBoxes();
// Dialog Data
	//{{AFX_DATA(CPolygonEditor)
	enum { IDD = IDD_POLYGON };
	CListBox	m_VertexNormals;
	CListBox	m_VertexColors;
	CListBox	m_TextCoord;
	CListBox	m_Verticies;
	CComboBox	m_Textures;
	CString	m_StrOffset;
	int		m_Blue;
	int		m_Green;
	int		m_Red;
	int		m_Alpha;
	float	m_PlaneA;
	float	m_PlaneB;
	float	m_PlaneC;
	float	m_PlaneD;
	int		m_PlaneNumber;
	//}}AFX_DATA
	NodePolygon *node;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPolygonEditor)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPolygonEditor)
	afx_msg void OnDown();
	afx_msg void OnUp();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnChoose();
	afx_msg void OnDblclkTextureCoord();
	afx_msg void OnDblclkVerticies();
	afx_msg void OnAddpt();
	afx_msg void OnRemovept();
	afx_msg void OnEditpt();
	afx_msg void OnEditTexturept();
	afx_msg void OnUpTexture();
	afx_msg void OnDownTexture();
	afx_msg void OnEditPlane();
	afx_msg void OnReCalculatePlane();
	afx_msg void OnEditNormal();
	afx_msg void OnSelchangeVertexNormals();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
