// ProjectSetting.cpp : implementation file
//

#include "stdafx.h"
#include "CGPLFile.h"
#include "C3do.h"
#include "3DOEditor.h"
#include "ProjectSetting.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProjectSetting dialog


CProjectSetting::CProjectSetting(CDatDocument *doc,CWnd* pParent /*=NULL*/)
	: CDialog(CProjectSetting::IDD, pParent),pDoc(doc)
{
	//{{AFX_DATA_INIT(CProjectSetting)
	m_OutputName = _T("");
	m_OutputDirectory = _T("");
	//}}AFX_DATA_INIT
}


void CProjectSetting::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProjectSetting)
	DDX_Text(pDX, IDC_EDIT1, m_OutputName);
	DDX_Text(pDX, IDC_EDIT2, m_OutputDirectory);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProjectSetting, CDialog)
	//{{AFX_MSG_MAP(CProjectSetting)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProjectSetting message handlers

BOOL CProjectSetting::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	if (pDoc && pDoc->datFile)
	{
	m_OutputName = pDoc->datFile->outputfile;
	CString msg;
	msg.Format("%s%s",pDoc->datFile->DatDrive,pDoc->datFile->DatDir);
	m_OutputDirectory = msg;
	}
	else
	{
	   m_OutputName = "Unknown";
	   m_OutputDirectory = "Unknown";
	}

	UpdateData(FALSE);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
