// 3doSelector.cpp : implementation file
//

#include "stdafx.h"
#include "3DOEditor.h"
#include "3doSelector.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// C3doSelector dialog


C3doSelector::C3doSelector(CDatDocument *datfileParent,CWnd* pParent /*=NULL*/)
	: CDialog(C3doSelector::IDD, pParent),datFile(datfileParent)
{
	//{{AFX_DATA_INIT(C3doSelector)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	selected_file = NULL;
}


void C3doSelector::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(C3doSelector)
	DDX_Control(pDX, IDC_LIST1, m_Objects);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(C3doSelector, CDialog)
	//{{AFX_MSG_MAP(C3doSelector)
	ON_LBN_SELCHANGE(IDC_LIST1, OnSelchangeList1)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// C3doSelector message handlers

BOOL C3doSelector::OnInitDialog() 
{
	CDialog::OnInitDialog();
	

	for(int i=0;i<datFile->datFile->files->size();i++)
	{
		CGplFile *file = (CGplFile*)datFile->datFile->files->elementAt(i);
		if (file->is3do())
		{
		 int idx = m_Objects.AddString(file->filename);
		 m_Objects.SetItemData(idx,(DWORD)file);
		}
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void C3doSelector::OnSelchangeList1() 
{
	int idx = m_Objects.GetCurSel();
	if (idx != LB_ERR)
	{
	  selected_file = (CGplFile*)m_Objects.GetItemData(idx);
	}
	else
	{
	  selected_file = NULL;
	}
}

void C3doSelector::OnDblclkList1() 
{
	OnSelchangeList1();
	OnOK();
}
