
#include "BMP.h"
#include "CMip.h"
#include "CGPLFile.h"

class CPbf: public CGplFile
{
public:
	CPbf():CGplFile(t_pbf)
	{
	}

	~CPbf()
	{
	}

	CString GetDefaultExtension()
	{
		return CString("*.pbf");
	}

	BOOL Read(const char *filename);
	BOOL Read(FILE *fp);

	void Explore();

	CMip   *cmip;

	void ReadHeader(FILE *fp)
	{
		//unsigned char *ptr = (unsigned char *)&SHeader;
		//fread(ptr,1,sizeof(t_Srb_Header),fp);
		fread(Sid,8,sizeof(char),fp);
		Slen = ReadPCDWord(fp);

		fread(SDid,8,sizeof(char),fp);
		SDLen = ReadPCDWord(fp);
		SXY[0] = ReadPCFloat(fp);
		SXY[1] = ReadPCFloat(fp);
		SXY[2] = ReadPCFloat(fp);
		SXY[3] = ReadPCFloat(fp);
		SXY[4] = ReadPCFloat(fp);
		SXY[5] = ReadPCFloat(fp);

		fread(SD2id,8,sizeof(char),fp);
		SD2Len = ReadPCDWord(fp);
	}

	//t_Srb_Header  SHeader;
	//t_Srhd_Header DHeader;
    //t_Srh2_Header D2Header;
	
	int  Slen;
	int  SDLen;	
	int SD2Len;
	float SXY[6];
	char SD2id[8];
	char Sid[8];
	char SDid[8];
	
};