
#include "BMP.h"
#include "CMip.h"
#include "CGPLFile.h"

// ok this time I'm going to start with 
// with a class

typedef struct
{
	char id[8]; // " BRS"
	int  dataSize;
} t_Srb_Header;

typedef struct
{
	char id[8]; // "DHRS"
	int  dataSize;
	float x1;
	float y1;
	float z1;
	float x2;
	float y2;
	float z2;
} t_Srhd_Header;

typedef struct
{
	char id[8]; // "2HRS"
	int  dataSize;
} t_Srh2_Header;


class CSrb: public CGplFile
{
public:
	CSrb():CGplFile(t_srb)
	{
		cmip = NULL;
		valid = FALSE;
	}

	~CSrb()
	{
		if (cmip) delete cmip;
	}

	CString GetDefaultExtension()
	{
		return CString(".mip");
	}

	BOOL Read(const char *filename);
	BOOL Read(FILE *fp);
	BOOL valid;

	void Explore();

	CMip   *cmip;

	void ReadHeader(FILE *fp);

	void LoadTree(HTREEITEM parent,CObjectTree *tree);
	
	int  Slen;
	int  SDLen;	
	int SD2Len;
	float SXY[6];
	char SD2id[8];
	char Sid[8];
	char SDid[8];

	float SHXY[9];
	
};