
#ifndef _INCLUDED_IMAGEFILE_H_
#define _INCLUDED_IMAGEFILE_H_

class CObjectTree;
#include "Vector.h"
#include "BMP.h"
#include "Observer.h"

unsigned char *TextureMap(CDC *pDC ,CBitmap &cbmp,int width,int height,unsigned char *lpvBits);
void Mak256SquareImage(CBitmap &jamBitmap,CBitmap &currentImg,int nWidth,int nHeight,int hr,int vr,int ow,int oh);


class CDat;

class CImageFile: public Observer
{
    public:
	CImageFile(CDat *datfile,LPCSTR buffer);
	~CImageFile();

	BOOL Open();

	void LoadTree(HTREEITEM node,CObjectTree *tree);

	char *filename;
	int offset;
	BMP *bmp;
	unsigned char *bits;
	CBitmap        output;
	BOOL           valid;

	int Write(FILE *fp)
	{
		int len = strlen(filename);
		fwrite(filename,1,len,fp);
		fputc(0x0,fp);
		//int remainder = (len+1)%2;
		//int remainder = 9-len;
		//for(int i=0;i<remainder;i++)
		//{
		//	fputc(0x0,fp);
		//}
		return len+1;
	}

	int WriteSize()
	{
	   int len = strlen(filename);
	   return len+1;
	}

	void Explore();

	BOOL Edit();

	BOOL Rename();

	Vector   *sections;
	CDat     *datFileParent;
};

#endif