
//#include "s/Track.h"
//TRACK_CC();
//#include "xvstreambuf.h"
#include "string.h"

//#ifndef __GNUG__
//#       include "sysent.h"
//#else
//#       include "u/zapeof.h"
//#endif

#include "stdafx.h"
#include "MfcStream.h"

// Construct
mfc_streambuf::mfc_streambuf( CEdit * win )
{
        // Store win
        outwin = win;
        //contents_left = (int) xv_get( outwin, TEXTSW_MEMORY_MAXIMUM );
}


// Set the buffer to use
streambuf*
mfc_streambuf::setbuf( char *b, int len )
{
        // Buffer already
        if (base())
        {
                printf("mfc_streambuf::Base exists\n");
                return 0;
        }

        if (b != 0)
        {
                // Holding area
                setb(b,b+len);
        }

        setp(0,0);      // Put area
        setg(0,0,0);    // Get area
        return this;
}

// Overflow of buffer, called from syns and flush
int
mfc_streambuf::overflow( int c )
{
        // Commented out next declaration as unused variable - jamesd 12/7/96
        //int eof_seen = 0;

        if (allocate() == EOF)
        {
                printf("mfc_streambuf::overflow, no holding area\n");
                return EOF;
        }

        // Characters ?
        if (gptr() && (gptr() < egptr())) return EOF;


        // reset get
        setg(0,0,0);

        // Check put space
        if (!pptr() )
                setp( base(), base() );

        // How many to remove
        int w = pptr() - pbase();


        // if EOF then leave space
        if (c != EOF)
        {
                *pptr() = c;
                ++w;
        }


        // Display message on window
        if (contents_left < w)
        {
                //textsw_save( outwin, 0, 0 );
                //contents_left = (int) xv_get( outwin, TEXTSW_MEMORY_MAXIMUM );
        }
        else
                contents_left -= w;

        //textsw_insert( outwin, pbase(), w );
		int buff_len = 1+out_waiting();
		char *text = pbase();
		if (text && buff_len)
		{
		 char *nstr = (char*)malloc(1+buff_len*sizeof(char));
		 strncpy(nstr,text,buff_len);
		 nstr[w]='\0';
		 unsigned int len = strlen(nstr);
		 for(unsigned int i=0;i<len;i++)
		 {
			char chr = nstr[i];

			if (chr == '\n')
			{
			  buffer+= "\r\n";
			}
			else
			{ 
			  if (nstr)
			   buffer+= chr;
			}
		 }
		 if (nstr) free(nstr);
		}

		outwin->SetRedraw(FALSE);
		int lastLine = outwin->LineFromChar(buffer.GetLength());
		outwin->SetWindowText(buffer);
		outwin->LineScroll(lastLine);

		// keep the text window looking at the bottom text
		outwin->SetRedraw(TRUE);
		
		

        // Clean up
        setp(pbase(),ebuf()-1);

        return (c == EOF) ? 0 : c;
}

int
mfc_streambuf::underflow()
{
        printf("mfc_streambuf::Underflow called\n");
        return EOF;
}

int
mfc_streambuf::sync()
{
        if (gptr() && egptr() > gptr())
        {
                // No chars to consumer
                return EOF;
        }
        if (pptr() && pptr() > pbase())
        {
                // Flush waiting chars
                return overflow(EOF);
        }
        return 0;
}