// NewNode.cpp : implementation file
//

#include "stdafx.h"
#include "3DOEditor.h"
#include "NewNode.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNewNode dialog


CNewNode::CNewNode(CWnd* pParent /*=NULL*/)
	: CDialog(CNewNode::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNewNode)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CNewNode::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNewNode)
	DDX_Control(pDX, IDC_LIST1, m_List);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNewNode, CDialog)
	//{{AFX_MSG_MAP(CNewNode)
	ON_LBN_DBLCLK(IDC_LIST1, OnDblclkList1)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNewNode message handlers

typedef struct
{
	int cmd;
	char *name;
} t_cmd;


t_cmd allcmds[] =
{
	{ 0x3,"Flavor 0x3 Srb" },
	{ 0x4,"Flavor 0x4 Multi Node Root" },
	{ 0x501,"Flavor 0x5 (sub 1) Selection" },
	{ 0x504,"Flavor 0x5 (sub 4) Selection" },
	{ 0x505,"Flavor 0x5 (sub 5) Selection" },
	{ 0x511,"Flavor 0x5 (sub 11) Selection" },
	{ 0x517,"Flavor 0x5 (sub 17)Selection" },
	{ 0x6,"Flavor 0x6 PlaneSelector - 1 Child Node" },
	{ 0x7,"Flavor 0x7 PlaneSelector - 2 Child Node" },
	{ 0x8,"Flavor 0x8 PlaneSelector - 4 Child Node" },
	{ 0x9,"Flavor 0x9 PlaneSelector - 3 Child Node" },
	{ 0xA,"Flavor 0xA PlaneSelector - 3 Child Node" },
	{ 0xB,"Flavor 0xB PlaneSelector - 2 Child Node" },
	{ 0xD,"Flavor 0xD Position/Rotation" },
	{ 0xE,"Flavor 0xE 3DO Sub object" },
	{ 0xF,"Flavor 0xF TrackRoom?" },
	{ 0x10,"Flavor 0x10 Chooser of some description?" },
	{ 0x11,"Flavor 0x11 Unknown" },
	{ 0x13,"Flavor 0x13 Positioner (sub 3DO Object)" },
	{ 0x14,"Flavor 0x14 Unknown Car?" },
	{ 0x16,"Flavor 0x16 Positioner" },
	{ 0x17,"Flavor 0x17 Unknown Car?" },
	{ 0x19,"Flavor 0x19 Bounding cubiod" },
	{ 0x1F,"Flavor 0x1F Car Polygon Texture see 81f" },
	{ 0x20,"Flavor 0x20 Car Polygon Texture see 820" },
	{ 0x21,"Flavor 0x21 Car Polygon Texture see 821" },
	{ 0x815,"Flavor 0x815 Line" },
	{ 0x81b,"Flavor 0x81b Polygon Flat" },
	{ 0x81c,"Flavor 0x81c Polygon Flat +Vertex Colors" },
	{ 0x81d,"Flavor 0x81d Polygon Flat +Vertex Normals" },
    { 0x81e,"Flavor 0x81e Polygon Flat +Vertex Colors +Vertex Normals" },
	{ 0x81f,"Flavor 0x81F Polygon Textured" },
	{ 0x820,"Flavor 0x820 Polygon Textured +Vertex Colors" },
	{ 0x821,"Flavor 0x821 Polygon Textured +Vertex Normals" },
};

int numCmds = sizeof(allcmds)/sizeof(t_cmd);

BOOL CNewNode::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	for(int i=0;i<numCmds;i++)
	{
		int idx = m_List.AddString(allcmds[i].name);
		m_List.SetItemData(idx,allcmds[i].cmd);
	}
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CNewNode::OnOK() 
{
	int idx = m_List.GetCurSel();
	Flavor = m_List.GetItemData(idx);
	
	CDialog::OnOK();
}

void CNewNode::OnDblclkList1() 
{
	OnOK();
}
