#include "stdafx.h"
#include "Node.h"

#include "DatView.h"
#include "3DOEditorView.h"

#include "EditObjPos.h"
#include "EditTwoVar.h"
#include "EditOneVar.h"
#include "EditFiveVar.h"

#include <gl\glaux.h>
#include <gl\gl.h>
#include <gl\glu.h>


BOOL NodeSix::Edit()
{
	if (!getObject()->isN2Version())
	{
	 BOOL edited=FALSE;
     CEditOneVar *dlg = new CEditOneVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_Var1.Format("Plane Number");
	 dlg->m_Desc.Format("T-6 Single Child Plane Selection used in colision detection?/visiblilty");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	else
	{
	 BOOL edited=FALSE;
     CEditFiveVar *dlg = new CEditFiveVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_VarVal2 = number2;
	 dlg->m_VarVal3 = number3;
	 dlg->m_VarVal4 = number4;
	 dlg->m_VarVal5 = number5;
	 dlg->m_Var1.Format("Normal X");
	 dlg->m_Var2.Format("Normal Y");
	 dlg->m_Var3.Format("Normal Z");
	 dlg->m_Var4.Format("Plane Number?");
	 dlg->m_Var5.Format("Plane Number?");
	 dlg->m_Desc.Format("T-6 Single Child Plane Selection used in colision detection?/visiblilty");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		number2 = dlg->m_VarVal2;
		number3 = dlg->m_VarVal3;
		number4 = dlg->m_VarVal4;
		number5 = dlg->m_VarVal5;		
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
}

BOOL NodeSeven::Edit()
{
	if (!getObject()->isN2Version())
	{
	 BOOL edited=FALSE;
     CEditOneVar *dlg = new CEditOneVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_Var1.Format("Plane Number");
	 dlg->m_Desc.Format("T-7 2 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	else
	{
	 BOOL edited=FALSE;
     CEditFiveVar *dlg = new CEditFiveVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_VarVal2 = number2;
	 dlg->m_VarVal3 = number3;
	 dlg->m_VarVal4 = number4;
	 dlg->m_VarVal5 = number5;
	 dlg->m_Var1.Format("Normal X");
	 dlg->m_Var2.Format("Normal Y");
	 dlg->m_Var3.Format("Normal Z");
	 dlg->m_Var4.Format("Plane Number?");
	 dlg->m_Var5.Format("Plane Number?");
	 dlg->m_Desc.Format("T-7 2 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		number2 = dlg->m_VarVal2;
		number3 = dlg->m_VarVal3;
		number4 = dlg->m_VarVal4;
		number5 = dlg->m_VarVal5;		
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
}

BOOL NodeEight::Edit()
{
	if (!getObject()->isN2Version())
	{
	 BOOL edited=FALSE;
     CEditOneVar *dlg = new CEditOneVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_Var1.Format("Plane Number");
	 dlg->m_Desc.Format("T-8 3 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	else
	{
	 BOOL edited=FALSE;
     CEditFiveVar *dlg = new CEditFiveVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_VarVal2 = number2;
	 dlg->m_VarVal3 = number3;
	 dlg->m_VarVal4 = number4;
	 dlg->m_VarVal5 = number5;
	 dlg->m_Var1.Format("Normal X");
	 dlg->m_Var2.Format("Normal Y");
	 dlg->m_Var3.Format("Normal Z");
	 dlg->m_Var4.Format("Plane Number?");
	 dlg->m_Var5.Format("Plane Number?");
	 dlg->m_Desc.Format("T-8 3 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		number2 = dlg->m_VarVal2;
		number3 = dlg->m_VarVal3;
		number4 = dlg->m_VarVal4;
		number5 = dlg->m_VarVal5;		
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
}

BOOL NodeNine::Edit()
{
	if (!getObject()->isN2Version())
	{
	 BOOL edited=FALSE;
     CEditOneVar *dlg = new CEditOneVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_Var1.Format("Plane Number");
	 dlg->m_Desc.Format("T-9 4 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	else
	{
	 BOOL edited=FALSE;
     CEditFiveVar *dlg = new CEditFiveVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_VarVal2 = number2;
	 dlg->m_VarVal3 = number3;
	 dlg->m_VarVal4 = number4;
	 dlg->m_VarVal5 = number5;
	 dlg->m_Var1.Format("Normal X");
	 dlg->m_Var2.Format("Normal Y");
	 dlg->m_Var3.Format("Normal Z");
	 dlg->m_Var4.Format("Plane Number?");
	 dlg->m_Var5.Format("Plane Number?");
	 dlg->m_Desc.Format("T-9 4 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		number2 = dlg->m_VarVal2;
		number3 = dlg->m_VarVal3;
		number4 = dlg->m_VarVal4;
		number5 = dlg->m_VarVal5;		
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	/*
	CEditOneVar *dlg = new CEditOneVar();

	dlg->m_VarVal1 = number1;
	dlg->m_Var1.Format("Number?");
	dlg->m_Desc.Format("3 Child Node");
	
	int result = dlg->DoModal();

	if (result == IDOK)
	{
		number1 = dlg->m_VarVal1;
	}

	if (dlg) delete dlg;
	return TRUE;
	*/
}


BOOL NodeB::Edit()
{
	if (!getObject()->isN2Version())
	{
	 BOOL edited=FALSE;
     CEditOneVar *dlg = new CEditOneVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_Var1.Format("Plane Number");
	 dlg->m_Desc.Format("T-B 2 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	else
	{
	 BOOL edited=FALSE;
     CEditFiveVar *dlg = new CEditFiveVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_VarVal2 = number2;
	 dlg->m_VarVal3 = number3;
	 dlg->m_VarVal4 = number4;
	 dlg->m_VarVal5 = number5;
	 dlg->m_Var1.Format("Normal X");
	 dlg->m_Var2.Format("Normal Y");
	 dlg->m_Var3.Format("Normal Z");
	 dlg->m_Var4.Format("Not Used");
	 dlg->m_Var5.Format("Not Used");
	 dlg->m_Desc.Format("T-B 2 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		number2 = dlg->m_VarVal2;
		number3 = dlg->m_VarVal3;
		number4 = dlg->m_VarVal4;
		number5 = dlg->m_VarVal5;		
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	 /*
	CEditOneVar *dlg = new CEditOneVar();

	dlg->m_VarVal1 = number1;
	dlg->m_Var1.Format("Number?");
	dlg->m_Desc.Format("2 Child Node");
	int result = dlg->DoModal();

	if (result == IDOK)
	{
		number1 = dlg->m_VarVal1;
	}

	if (dlg) delete dlg;
	return TRUE;
	*/
}

BOOL NodeA::Edit()
{
	if (!getObject()->isN2Version())
	{
	 BOOL edited=FALSE;
     CEditOneVar *dlg = new CEditOneVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_Var1.Format("Plane Number");
	 dlg->m_Desc.Format("T-A 3 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	else
	{
	 BOOL edited=FALSE;
     CEditFiveVar *dlg = new CEditFiveVar();

	 dlg->m_VarVal1 = number1;
	 dlg->m_VarVal2 = number2;
	 dlg->m_VarVal3 = number3;
	 dlg->m_VarVal4 = number4;
	 dlg->m_VarVal5 = number5;
	 dlg->m_Var1.Format("Normal X");
	 dlg->m_Var2.Format("Normal Y");
	 dlg->m_Var3.Format("Normal Z");
	 dlg->m_Var4.Format("Plane Number?");
	 dlg->m_Var5.Format("Plane Number?");
	 dlg->m_Desc.Format("T-A 3 Child Plane Selection used in colision detection?/visiblity");
	
	 int result = dlg->DoModal();

	 if (result == IDOK)
	 {
		number1 = dlg->m_VarVal1;
		number2 = dlg->m_VarVal2;
		number3 = dlg->m_VarVal3;
		number4 = dlg->m_VarVal4;
		number5 = dlg->m_VarVal5;		
		edited = TRUE;
	 }

	 if (dlg) delete dlg;
	 return edited;
	}
	 /*
	CEditOneVar *dlg = new CEditOneVar();

	dlg->m_VarVal1 = number1;
	dlg->m_Var1.Format("Number?");
	dlg->m_Desc.Format("3 Child Node");
	
	int result = dlg->DoModal();

	if (result == IDOK)
	{
		number1 = dlg->m_VarVal1;
	}

	if (dlg) delete dlg;
	return TRUE;
	*/
}


BOOL NodeEight::Init()
{
	number1 = 0;
	number2 = 0;
	number3 = 0;
	number4 = 0;
	number5 = 0;
	return TRUE;
}

BOOL NodeSix::Init()
{
	number1 = 0;
	number2 = 0;
	number3 = 0;
	number4 = 0;
	number5 = 0;
	return TRUE;
}

BOOL NodeSeven::Init()
{
	number1 = 0;
	number2 = 0;
	number3 = 0;
	number4 = 0;
	number5 = 0;
	return TRUE;
}

BOOL NodeNine::Init()
{
	number1 = 0;
	number2 = 0;
	number3 = 0;
	number4 = 0;
	number5 = 0;
	return TRUE;
}

BOOL NodeA::Init()
{
	number1 = 0;
	number2 = 0;
	number3 = 0;
	number4 = 0;
	number5 = 0;
	return TRUE;
}

BOOL NodeB::Init()
{
	number1 = 0;
	number2 = 0;
	number3 = 0;
	number4 = 0;
	number5 = 0;
	return TRUE;
}