
#ifndef _INCLUDED_PLANES_H
#define _INCLUDED_PLANES_H

#include "DataValue.h"
#include "EditPlanes.h"
#include "EditHandles.h"

class CPlanes: public Observer
{
	public:
	CPlanes():Observer(t_plane)
	{
	}

	void Explore()
	{
		CEditPlanes *dlg = new CEditPlanes();

		dlg->m_A = A.data;
		dlg->m_B = B.data;
		dlg->m_C = C.data;
		dlg->m_D = D.data;

		int result = dlg->DoModal();

		if(result == IDOK)
		{
			A.data =dlg->m_A;
			B.data =dlg->m_B;
			C.data =dlg->m_C;
			D.data =dlg->m_D;
		}
		if (dlg) delete dlg;
	}

	CString toString()
	{
		CString msg;
		msg.Format("{%f,%f,%f,%f}",A.data,B.data,C.data,D.data);
		return msg;
	}

	float getA() { return A.data; }
	float getB() { return B.data; }
	float getC() { return C.data; }
	float getD() { return D.data; }


	DataValue A;
	DataValue B;
	DataValue C;
	DataValue D;
};

class CHandles: public Observer
{
	public:
	CHandles():Observer(t_handle)
	{
	}

	void Explore()
	{
		CEditHandles *dlg = new CEditHandles();

		dlg->m_String = (int)String.data;
		dlg->m_Offset = (int)Offset.data;
		
		int result = dlg->DoModal();

		if(result == IDOK)
		{
			String.data =(float)dlg->m_String;
			Offset.data =(float)dlg->m_Offset;
		}
		if (dlg) delete dlg;
	}

	DataValue String;
	DataValue Offset;
};

class CNormals: public Observer
{
	public:
	CNormals():Observer(t_normal)
	{
	}

	void Explore()
	{
		CEditPlanes *dlg = new CEditPlanes();

		dlg->m_A = A.data;
		dlg->m_B = B.data;
		dlg->m_C = C.data;
		dlg->m_D = D.data;

		int result = dlg->DoModal();

		if(result == IDOK)
		{
			A.data =dlg->m_A;
			B.data =dlg->m_B;
			C.data =dlg->m_C;
			D.data =dlg->m_D;
		}
		if (dlg) delete dlg;
	}

	CString toString()
	{
		CString msg;
		msg.Format("{%f,%f,%f,%f}",A.data,B.data,C.data,D.data);
		return msg;
	}


	DataValue A;
	DataValue B;
	DataValue C;
	DataValue D;
};


#endif