
#include "CGPLFile.h"
#include "ObjectTree.h"

// ok this time I'm going to start with 
// with a class

typedef struct
{
	char id[4]; // "PGTS"
	short  version;
	int  dataSize;
} t_Setup_Header;

typedef struct
{
	float unk1;
	float unk2;
	float Gear1;
	float Gear2;
	float Gear3;
	float Gear4;
	float Gear5;
	float Gear6;
	float DifferentialRatio;
	int   unk3;
	int   unk4;
	int   unk5;
	int   unk6;
	int   unk7;
	int   unk8;
	int   unk9;
	int   unk10;
	int   unk11;
	float RampAngle2;
	float RampAngle1;
	float TirePressureFL;
	float TirePressureFR;
	float TirePressureRL;
	float TirePressureRR;
	float WheelRateFL;
	float WheelRateFR;
	float WheelRateRL;
	float WheelRateRR;
	float BumpFL;
	float BumpFR;
	float BumpRL;
	float BumpRR;
	float ReBoundFL;
	float ReBoundFR;
	float ReBoundRL;
	float ReBoundRR;
	float CamberFL;
	float CamberFR;
	float CamberRL;
	float CamberRR;
	float TUnk1;
	float TUnk2;
	float TUnk3;
	float TUnk4;
	float TUnk5;
	float TUnk6;
	float TUnk7;
	float TUnk8;
	float BumpRubberFL;
	float BumpRubberFR;
	float BumpRubberRL;
	float BumpRubberRR;
	float ToeInFront;
	float ToeInRear;
	float RollBarFront;
	float RollBarRear;
	float RideHeightFront;
	float RideHeightRear;
	int   No_Clutches;
	float GallonsFuel;
	float SteeringRatio;
	float FrontBrakeBias;
	BYTE  AssymetricEdit;
	BYTE  pad1;
	BYTE  pad2;
	BYTE  pad3;
} t_Setup;



class CSetup: public CGplFile
{
public:
	int offset;

	CSetup():CGplFile(t_setup)
	{	
	}

	//int offset;

	~CSetup()
	{
	}

	CString GetDefaultExtension()
	{
		return CString("*");
	}

	BOOL Read(const char *filename);
	BOOL Read(FILE *fp);

	BOOL Write(FILE *fp);

	void LoadTree(HTREEITEM node,CObjectTree *tree);

	t_Setup_Header Header;
	t_Setup Setup;
};