
#include "stdafx.h"
#include "stdio.h"
#include "Lp.h"

BOOL CLp::Read(const char *fname)
{
	filename = fname;
	FILE *fp = FOPEN(filename,"rb");
	
	if (fp == NULL)
	{
		dataLoaded=FALSE;
		return dataLoaded;
	}
	dataLoaded = Read(fp);
	return dataLoaded;
}

BOOL CLp::Read(FILE *fp)
{	
	Major_version = ReadPCWord(fp);
	Minor_version = ReadPCWord(fp);

	if (Major_version!=2 && Minor_version!=1)
	{
		//AfxMessageBox("Not a GPL LP File");
		cerr << "Not a GPL LP File" << endl;
		numberOfRecords = 0;
		return FALSE;
	}

	numberOfRecords = ReadPCDWord(fp);

	records = (t_LPSection*)malloc(numberOfRecords*sizeof(t_LPSection));
	
	fread(records,numberOfRecords,sizeof(t_LPSection),fp);
	return TRUE;
}